diff -urN gcc-16.1.0-orig/gcc/ChangeLog-2012 gcc-16.1.0/gcc/ChangeLog-2012
--- gcc-16.1.0-orig/gcc/ChangeLog-2012	2026-04-30 17:33:20 +0900
+++ gcc-16.1.0/gcc/ChangeLog-2012	2026-05-07 23:23:59 +0900
@@ -34611,6 +34611,13 @@
 	(ELIMINABLE_REGS): Eliminate from the soft frame pointer,
 	remove the HARD_FRAME_POINTER self-elimination.
 
+2012-02-02  Andrew Church  <achurch@achurch.org>
+
+	* c-family/c-opts.c (case OPT_I): Undeprecate -I- support.
+	* doc/invoke.texi: Likewise.
+	* doc/cpp.texi: Likewise.
+	* doc/cppopts.texi: Likewise.
+
 2012-01-12  Georg-Johann Lay  <avr@gjlay.de>
 
 	PR target/51756
diff -urN gcc-16.1.0-orig/gcc/c-family/c-opts.cc gcc-16.1.0/gcc/c-family/c-opts.cc
--- gcc-16.1.0-orig/gcc/c-family/c-opts.cc	2026-04-30 17:33:20 +0900
+++ gcc-16.1.0/gcc/c-family/c-opts.cc	2026-05-07 23:23:59 +0900
@@ -348,8 +348,6 @@
 	    error ("%<-I-%> specified twice");
 	  quote_chain_split = true;
 	  split_quote_chain ();
-	  inform (input_location, "obsolete option %<-I-%> used, "
-		  "please use %<-iquote%> instead");
 	}
       break;
 
diff -urN gcc-16.1.0-orig/gcc/doc/cpp.1 gcc-16.1.0/gcc/doc/cpp.1
--- gcc-16.1.0-orig/gcc/doc/cpp.1	2026-04-30 17:36:10 +0900
+++ gcc-16.1.0/gcc/doc/cpp.1	2026-05-07 23:23:59 +0900
@@ -799,9 +799,6 @@
 .IX Item "--include-barrier"
 .PD
 Split the include path.
-This option has been deprecated.  Please use \fB\-iquote\fR instead for
-\&\fB\-I\fR directories before the \fB\-I\-\fR and remove the \fB\-I\-\fR
-option.
 .Sp
 Any directories specified with \fB\-I\fR
 options before \fB\-I\-\fR are searched only for headers requested with
diff -urN gcc-16.1.0-orig/gcc/doc/cpp.info gcc-16.1.0/gcc/doc/cpp.info
--- gcc-16.1.0-orig/gcc/doc/cpp.info	2026-04-30 17:57:18 +0900
+++ gcc-16.1.0/gcc/doc/cpp.info	2026-05-07 23:24:57 +0900
@@ -4794,9 +4794,7 @@
 
 ‘-I-’
 ‘--include-barrier’
-     Split the include path.  This option has been deprecated.  Please
-     use ‘-iquote’ instead for ‘-I’ directories before the ‘-I-’ and
-     remove the ‘-I-’ option.
+     Split the include path.
 
      Any directories specified with ‘-I’ options before ‘-I-’ are
      searched only for headers requested with ‘#include "FILE"’; they
diff -urN gcc-16.1.0-orig/gcc/doc/cppdiropts.texi gcc-16.1.0/gcc/doc/cppdiropts.texi
--- gcc-16.1.0-orig/gcc/doc/cppdiropts.texi	2026-04-30 17:33:20 +0900
+++ gcc-16.1.0/gcc/doc/cppdiropts.texi	2026-05-07 23:23:59 +0900
@@ -103,9 +103,6 @@
 @item -I-
 @itemx --include-barrier
 Split the include path.
-This option has been deprecated.  Please use @option{-iquote} instead for
-@option{-I} directories before the @option{-I-} and remove the @option{-I-}
-option.
 
 Any directories specified with @option{-I}
 options before @option{-I-} are searched only for headers requested with
diff -urN gcc-16.1.0-orig/gcc/doc/g++.1 gcc-16.1.0/gcc/doc/g++.1
--- gcc-16.1.0-orig/gcc/doc/g++.1	2026-04-30 17:57:19 +0900
+++ gcc-16.1.0/gcc/doc/g++.1	2026-05-07 23:23:59 +0900
@@ -17877,9 +17877,6 @@
 .IX Item "--include-barrier"
 .PD
 Split the include path.
-This option has been deprecated.  Please use \fB\-iquote\fR instead for
-\&\fB\-I\fR directories before the \fB\-I\-\fR and remove the \fB\-I\-\fR
-option.
 .Sp
 Any directories specified with \fB\-I\fR
 options before \fB\-I\-\fR are searched only for headers requested with
diff -urN gcc-16.1.0-orig/gcc/doc/gcc.1 gcc-16.1.0/gcc/doc/gcc.1
--- gcc-16.1.0-orig/gcc/doc/gcc.1	2026-04-30 17:57:19 +0900
+++ gcc-16.1.0/gcc/doc/gcc.1	2026-05-07 23:23:59 +0900
@@ -17877,9 +17877,6 @@
 .IX Item "--include-barrier"
 .PD
 Split the include path.
-This option has been deprecated.  Please use \fB\-iquote\fR instead for
-\&\fB\-I\fR directories before the \fB\-I\-\fR and remove the \fB\-I\-\fR
-option.
 .Sp
 Any directories specified with \fB\-I\fR
 options before \fB\-I\-\fR are searched only for headers requested with
diff -urN gcc-16.1.0-orig/gcc/doc/gcc.info gcc-16.1.0/gcc/doc/gcc.info
--- gcc-16.1.0-orig/gcc/doc/gcc.info	2026-04-30 17:57:31 +0900
+++ gcc-16.1.0/gcc/doc/gcc.info	2026-05-07 23:25:39 +0900
@@ -17237,9 +17237,7 @@
 
 ‘-I-’
 ‘--include-barrier’
-     Split the include path.  This option has been deprecated.  Please
-     use ‘-iquote’ instead for ‘-I’ directories before the ‘-I-’ and
-     remove the ‘-I-’ option.
+     Split the include path.
 
      Any directories specified with ‘-I’ options before ‘-I-’ are
      searched only for headers requested with ‘#include "FILE"’; they
